Bug 186523 - [JSCOnly] Add a MIPS32el JSCOnly EWS
Summary: [JSCOnly] Add a MIPS32el JSCOnly EWS
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Carlos Alberto Lopez Perez
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-06-11 08:14 PDT by Carlos Alberto Lopez Perez
Modified: 2018-06-13 03:50 PDT (History)
13 users (show)

See Also:


Attachments
Patch (12.31 KB, patch)
2018-06-11 09:51 PDT, Carlos Alberto Lopez Perez
mcatanzaro: review+
Details | Formatted Diff | Diff
Archive of layout-test-results from ews116 for mac-sierra (3.00 MB, application/zip)
2018-06-11 11:26 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Alberto Lopez Perez 2018-06-11 08:14:56 PDT
We will like to add an EWS for the JSCOnly port that cross-builds for MIPS32el so we can get early notifications of build failures.
Comment 1 Carlos Alberto Lopez Perez 2018-06-11 09:51:53 PDT
Created attachment 342439 [details]
Patch
Comment 2 Build Bot 2018-06-11 11:26:43 PDT
Comment on attachment 342439 [details]
Patch

Attachment 342439 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/8131235

New failing tests:
media/video-buffering-allowed.html
Comment 3 Build Bot 2018-06-11 11:26:45 PDT
Created attachment 342450 [details]
Archive of layout-test-results from ews116 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 4 Michael Catanzaro 2018-06-11 11:35:40 PDT
Comment on attachment 342439 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=342439&action=review

Yay!

> Tools/BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Dashboard.js:38
> +        LinuxJSCOnly: { name : "linux-jsc-only", readableName: "Linux JSCOnly", order: 92 }

For this to work, don't you also need to edit WebKitBuildbot.js?

We also need a logo under dashboard/Styles/Main.css. When I asked the compilers team the other day, there was not much feedback in the way of a good logo, so we might as well use https://webkit.org/blog-files/squirrelfish.png I guess.
Comment 5 Carlos Alberto Lopez Perez 2018-06-12 04:29:01 PDT
(In reply to Michael Catanzaro from comment #4)
> Comment on attachment 342439 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=342439&action=review
> 
> Yay!
> 
> > Tools/BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Dashboard.js:38
> > +        LinuxJSCOnly: { name : "linux-jsc-only", readableName: "Linux JSCOnly", order: 92 }
> 
> For this to work, don't you also need to edit WebKitBuildbot.js?
> 
> We also need a logo under dashboard/Styles/Main.css. When I asked the
> compilers team the other day, there was not much feedback in the way of a
> good logo, so we might as well use
> https://webkit.org/blog-files/squirrelfish.png I guess.

Mmm... good point.

It seems I confused BubbleQueueServer.js from the dashboard with the bubbles from bugzilla patch upload (the ones from the EWS).

The ones from bugzilla seem to be handled in Tools/QueueStatusServer/handlers/statusbubble.py and Tools/QueueStatusServer/templates/statusbubble.html and as far as I can see that doesn't have any specific port/queue configuration. It just show the bubbles from the EWS queues as soon as they happen.

I will remove from this patch the modifications to the dashboard, as it seems that such thing is not needed here.
Comment 6 Carlos Alberto Lopez Perez 2018-06-12 04:40:26 PDT
Committed r232748: <https://trac.webkit.org/changeset/232748>
Comment 7 Radar WebKit Bug Importer 2018-06-12 04:41:23 PDT
<rdar://problem/41041433>
Comment 8 Aakash Jain 2018-06-12 14:45:06 PDT
I updated webkit-queues server to pick up this changes. The queue is now visible at https://webkit-queues.webkit.org/queue-status/jsc-mips-ews

However, there is no bot configured on this queue yet. So there are lot of pending patches for this queue. Can you please configure a bot on this queue soon?
Comment 9 Carlos Alberto Lopez Perez 2018-06-12 18:51:53 PDT
(In reply to Aakash Jain from comment #8)
> I updated webkit-queues server to pick up this changes. The queue is now
> visible at https://webkit-queues.webkit.org/queue-status/jsc-mips-ews
> 
> However, there is no bot configured on this queue yet. So there are lot of
> pending patches for this queue. Can you please configure a bot on this queue
> soon?

I just added a worker.

I will be watching it over the next days to ensure it works as expected.

Thanks for the help :)
Comment 10 Carlos Alberto Lopez Perez 2018-06-13 03:50:38 PDT
Committed r232789: <https://trac.webkit.org/changeset/232789>